Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.monitor
Class JBossMonitorNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              org.jboss.monitor.JBossMonitorNotification

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  StringThresholdNotification, ThresholdNotification

public class JBossMonitorNotification
extends javax.management.Notification

Comment

Version:
  $Revision: 1.2 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`protected String` | `attribute`
`static String` | `ATTRIBUTE`
`static String` | `MONITOR_NAME`
`static String` | `MONITOR_OBJECT_NAME`
`protected String` | `monitorName`
`protected javax.management.ObjectName` | `monitorObjectName`
`static String` | `NOTIFICATION_TYPE`
`static String` | `OBSERVED_OBJECT`
`protected javax.management.ObjectName` | `observedObject`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`JBossMonitorNotification(String monitorName, javax.management.ObjectName monitorObjectName, javax.management.ObjectName observedObject, String attribute, long sequenceNumber)`

Method Summary
`String` | `getAttribute()`
`String` | `getMonitorName()`
`javax.management.ObjectName` | `getMonitorObjectName()`
`javax.management.ObjectName` | `getObservedObject()`
`Map` | `substitutionMap()` Return a substitution map that can be used by org.jboss.util.Strings.subst to create a printable alert message.

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NOTIFICATION_TYPE

    public static final String NOTIFICATION_TYPE

See Also:
  Constant Field Values

### OBSERVED_OBJECT

    public static final String OBSERVED_OBJECT

See Also:
  Constant Field Values

### MONITOR_OBJECT_NAME

    public static final String MONITOR_OBJECT_NAME

See Also:
  Constant Field Values

### MONITOR_NAME

    public static final String MONITOR_NAME

See Also:
  Constant Field Values

### ATTRIBUTE

    public static final String ATTRIBUTE

See Also:
  Constant Field Values

### observedObject

    protected final javax.management.ObjectName observedObject

### monitorObjectName

    protected final javax.management.ObjectName monitorObjectName

### monitorName

    protected final String monitorName

### attribute

    protected final String attribute

Constructor Detail

### JBossMonitorNotification

    public JBossMonitorNotification(String monitorName,
                                    javax.management.ObjectName monitorObjectName,
                                    javax.management.ObjectName observedObject,
                                    String attribute,
                                    long sequenceNumber)

Method Detail

### getObservedObject

    public javax.management.ObjectName getObservedObject()

### getMonitorObjectName

    public javax.management.ObjectName getMonitorObjectName()

### getMonitorName

    public String getMonitorName()

### getAttribute

    public String getAttribute()

### substitutionMap

    public Map substitutionMap()

  Return a substitution map that can be used by org.jboss.util.Strings.subst to create a printable alert message.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.